On Thursday, 26 May 2016 at 17:17:00 UTC, ketmar wrote:
great lib (libui). sadly, no GNU/Linux support in there yet. gtk+3 is complete crap, and it doesn't even *have* to present in system (it isn't in my case). and libui cannot fallback to gtk+2. it's sad: i was very excited by the nice C UI library (even if it is actually a wrapper).


let's hope libui author will make a working GNU/Linux version.

Mmmh...it works on linux. You just have to install gtk3-devel (>3.10 is OK) from the official package manager of your distro, then run make in the libui submodule folder. It's even probably the platform where it's the easyer to setup.

Reply via email to